<div>
  <h2 id="page-heading" data-cy="EquipoHeading">
    <span>Equipos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-equipo"
        [routerLink]="['/equipo/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span> Create a new Equipo </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="equipos?.length === 0">
    <span>No equipos found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="equipos && equipos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span>ID</span></th>
          <th scope="col"><span>Nombre</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let equipo of equipos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/equipo', equipo.id, 'view']">{{ equipo.id }}</a>
          </td>
          <td>{{ equipo.nombre }}</td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/equipo', equipo.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline">View</span>
              </button>

              <button type="submit" [routerLink]="['/equipo', equipo.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline">Edit</span>
              </button>

              <button type="submit" (click)="delete(equipo)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
